;InnoSetupVersion=4.0.5

[Setup]
AppName=Horrorween
AppVerName=Horrorween v1.00
AppId=Horrorween
AppPublisher=DGDev Team
AppPublisherURL=http://www.horrorween.tk
AppSupportURL=http://www.horrorween.tk
AppUpdatesURL=http://www.horrorween.tk
DefaultDirName=C:\games\Horrorween
DefaultGroupName=games\Horrorween
OutputBaseFilename=HorrorweenSetupV1.00
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\server.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\status.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\data.pak"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\fmod.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SDL.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SDL_image.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\jpeg.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libpng1.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\zlib.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\SDL_net.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\wrapper.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\credits.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Horror.cfg"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ConfigHorror.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Horrorween.exe"; DestDir: "{app}"; Flags: ignoreversion 

[Run]
Filename: "{app}\ConfigHorror.exe"; Parameters: "config"; WorkingDir: "{app}"; Description: "Launch Horrorween configuration tool"; Flags: skipifsilent 

[Icons]
Name: "{group}\Horrorween"; Filename: "{app}\Horrorween.exe"; WorkingDir: "{app}"; 
Name: "{group}\Read Me"; Filename: "{app}\readme.txt"; 
Name: "{group}\Game Configuration"; Filename: "{app}\ConfigHorror.exe"; Parameters: "config"; WorkingDir: "{app}"; 
Name: "{group}\Credits"; Filename: "{app}\credits.txt"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Horrorween"; Filename: "{app}\Horrorween.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\Horrorween.log"; 
Type: filesandordirs; Name: "{app}\sys"; 
Type: files; Name: "{app}\*.dat"; 
Type: files; Name: "{app}\*.dll"; 
Type: files; Name: "{app}\*.cfg"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
